ieeeck.f(3)

NAME
ieeeck.f

SYNOPSIS

  Functions/Subroutines
integer function ieeeck (ISPEC, ZERO, ONE)
IEEECK

Function/Subroutine Documentation

  integer function ieeeck (integer ISPEC, real ZERO, real ONE)

Purpose:

     IEEECK is called from the ILAENV to verify that Infinity and
     possibly NaN arithmetic is safe (i.e. will not trap).

Parameters
    ISPEC

              ISPEC is INTEGER
              Specifies whether to test just for inifinity arithmetic
              or whether to test for infinity and NaN arithmetic.
              = 0: Verify infinity arithmetic only.
              = 1: Verify infinity and NaN arithmetic.

    ZERO

              ZERO is REAL
              Must contain the value 0.0
              This is passed to prevent the compiler from optimizing
              away this code.

    ONE

              ONE is REAL
              Must contain the value 1.0
              This is passed to prevent the compiler from optimizing
              away this code.
      RETURN VALUE:  INTEGER
              = 0:  Arithmetic failed to produce the correct answers
              = 1:  Arithmetic produced the correct answers

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 81 of file ieeeck.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.